<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title></title>
  <link rel="stylesheet" href="style.css">
  <style>
    .card {
      background-color: white;
    }

    .card-name {
      border-bottom: 1px solid black;
    }
  </style>
</head>
<body>
  <div id="app" class="container">
    <section class="title">
      <h1>Componentes</h1>
    </section>

    <section class="sample">
      <card :name="person.name" :foot="person.note" />
    </section>

    <section class="sample-explain">
      <ul>
        <li>reutilização de código</li>
        <li>hierarquia <a href="https://vuejs.org/images/components.png?_sw-precache=b5c08269dfc26ae6d7db3801e9efd296">aqui</a></li>
        <li><code>props</code>: comunicação <code>pai-&gt;filho</code></li>
      </ul>
    </section>

    <section class="nav-btn left">
      <a href="">< prev</a>
    </section>
    <section class="nav-btn right">
      <a href="end.html">next ></a>
    </section>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <script src="components.js"></script>

  <script>
    const app = new Vue({
      el: '#app',
      data: {
        person: {
          name: 'João',
          note: 'professor'
        }
      }
    });
  </script>
</body>
</html>
